function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import React, { Component, createRef } from 'react';
import { FlatList as RNFlatList, View } from 'react-native';
import Animated from 'react-native-reanimated';
import { NativeViewGestureHandler } from 'react-native-gesture-handler';
const AnimatedFlatList = Animated.createAnimatedComponent(RNFlatList);
export default class FlatList extends Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "state", {
      scrollContentHeight: 0
    });

    _defineProperty(this, "nativeGestureRef", /*#__PURE__*/createRef());

    _defineProperty(this, "scrollableRef", /*#__PURE__*/createRef());

    _defineProperty(this, "handleLayoutChange", event => {
      console.log('Height: ');
      console.log(event.nativeEvent.layout.height);
    });

    _defineProperty(this, "handleScrollSizeChange", (w, h) => {
      console.log('Height: ');
      console.log(h);
      this.setState({
        scrollContentHeight: h
      });
    });
  }

  render() {
    const { ...rest
    } = this.props;
    return /*#__PURE__*/React.createElement(View, {
      style: {
        height: rest.height ? rest.height : this.state.scrollContentHeight
      }
    }, /*#__PURE__*/React.createElement(NativeViewGestureHandler, {
      ref: this.props.gestureRef ? this.props.gestureRef : this.nativeGestureRef
    }, /*#__PURE__*/React.createElement(AnimatedFlatList, _extends({}, rest, {
      contentContainerStyle: {
        paddingBottom: 0
      },
      onContentSizeChange: this.handleScrollSizeChange // ref={this.scrollableRef}
      ,
      showsVerticalScrollIndicator: false,
      initialNumToRender: 7,
      overScrollMode: "never",
      bounces: false,
      scrollEventThrottle: 16
    }))));
  }

}
//# sourceMappingURL=FlatList.js.map